# Evidently integrations

{% hint style="info" %}
**You are looking at the old Evidently documentation**: this API is available with versions 0.6.7 or lower. Check the newer docs version [here](https://docs.evidentlyai.com/introduction).
{% endhint %}

Evidently is a Python library, and can be easily integrated with other tools to fit into the existing workflows.

Below are a few specific examples of how to integrate Evidently with other tools in the ML lifecycle. You can adapt them for other workflow management, visualization, tracking and other tools.

| Tool                                         | Description                                                                 | Guide or example                                                                                                                                                                                                                                                              |
| -------------------------------------------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Notebook environments (Jupyter, Colab, etc.) | Render visual Evidently Reports and Test Suites.                            | <p><a href="/pages/WNMtx0qJEQLb1sOqDbc4">Docs</a><br><a href="/pages/hpYTxtBOUyeJ2umNlMqC">Code examples</a></p>                                                                                                                                                              |
| Streamlit                                    | Create a web app with Evidently Reports.                                    | <p><a href="https://www.evidentlyai.com/blog/ml-model-monitoring-dashboard-tutorial">Tutorial</a><br><a href="https://github.com/evidentlyai/evidently/tree/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/streamlit_dashboard">Code example</a></p>          |
| MLflow                                       | Log metrics calculated by Evidently to MLflow.                              | <p><a href="/pages/2VpqjCdne3SsZJdwF3tp">Docs</a><br><a href="https://github.com/evidentlyai/evidently/blob/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/mlflow_logging/mlflow_integration.ipynb">Code example</a></p>                                      |
| DVCLive                                      | Log metrics calculated by Evidently to DVC.                                 | <p><a href="/pages/uPAwtgWK527Amo74kegW">Docs</a><br><a href="https://github.com/evidentlyai/evidently/blob/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/dvclive_logging/dvclive_integration.ipynb">Code example</a></p>                                    |
| Airflow                                      | Run data and ML model checks as part of an Airflow DAG.                     | <p><a href="/pages/hmvxQcCDdXM0KAKwhA37">Docs</a><br><a href="https://github.com/evidentlyai/evidently/tree/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/airflow_drift_detection">Code example</a></p>                                                      |
| Metaflow                                     | Run data and ML model checks as part of a Metaflow Flow.                    | [Docs](/integrations/integrations/evidently-and-metaflow.md)                                                                                                                                                                                                                  |
| FastAPI + PostgreSQL                         | Generate on-demand Reports for models deployed with FastAPI.                | <p><a href="https://www.evidentlyai.com/blog/fastapi-tutorial">Tutorial</a><br><a href="https://github.com/evidentlyai/evidently/tree/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/fastapi_monitoring">Code example</a></p>                                 |
| Grafana + PostgreSQL + Prefect               | Run ML monitoring jobs with Prefect and visualize metrics in Grafana.       | <p><a href="https://www.evidentlyai.com/blog/batch-ml-monitoring-architecture">Tutorial</a><br><a href="https://github.com/evidentlyai/evidently/tree/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/postgres_grafana_batch_monitoring/">Code example</a></p> |
| AWS SES                                      | Send email alerts with attached Evidently Reports (Community contribution). | <p><a href="https://www.evidentlyai.com/blog/ml-monitoring-with-email-alerts-tutorial">Tutorial</a><br><a href="https://github.com/evidentlyai/aws_alerting">Code example</a></p>                                                                                             |
| Grafana                                      | Real-time ML monitoring with Grafana. (Old API, not currently supported).   | [Code example](https://github.com/evidentlyai/evidently/tree/ad71e132d59ac3a84fce6cf27bd50b12b10d9137/examples/integrations/grafana_monitoring_service)                                                                                                                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-old.evidentlyai.com/integrations/integrations/evidently-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
